=== debian/changelog ===
ironic (1:9.1.0-0ubuntu2) artful; urgency=medium

  * d/ironic-common.postinst: Drop db sync (LP: #1713059).

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 29 Aug 2017 10:33:57 -0400

ironic (1:9.1.0-0ubuntu1) artful; urgency=medium

  * New upstream point release for OpenStack Pike.
  * d/control: Align (Build-)Depends with upstream.
  * d/p/*: Rebased.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 24 Aug 2017 21:22:23 -0400

ironic (1:9.0.1-0ubuntu1) artful; urgency=medium

  * New upstream point release for OpenStack Pike.
  * d/p/add-9.0-to-release_mappings.patch: Dropped. Fixed upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 24 Aug 2017 12:08:54 -0400

ironic (1:9.0.0-0ubuntu1) artful; urgency=medium

  [ James Page ]
  * d/control: Add (Build-)Depends on python-rfc3986.
  * New snapshot.
  * d/control: Add (Build-)Depends on python-oslo.reports.

  [ Corey Bryant ]
  * New upstream release for OpenStack Pike.
  * d/control: Align (Build-)Depends with upstream.
  * d/p/drop-openstackdoctheme.patch: Temporarily drop openstackdocstheme
    sphinx extension until sphinx>=1.6.2 is available.
  * d/p/add-9.0-to-release_mappings.patch: Cherry-picked patch from master
    to enable rolling upgrades for 9.0.0.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 18 Aug 2017 09:03:44 -0400

ironic (1:8.0.0-0ubuntu2) artful; urgency=medium

  * No-change rebuild for sqlalchemy 1.1.x.

 -- James Page <james.page@ubuntu.com>  Fri, 28 Apr 2017 10:05:35 +0100

ironic (1:8.0.0-0ubuntu1) artful; urgency=medium

  * New upstream release for OpenStack Pike.
  * Align (Build-)Depends with upstream milestone.

 -- James Page <james.page@ubuntu.com>  Wed, 26 Apr 2017 14:50:12 +0100
