=== debian/changelog ===
ironic (1:10.1.1-0ubuntu2) bionic; urgency=medium

  * d/control: Drop min version of python-sphinxcontrib.seqdiag to enable
    backport to queens cloud-archive.

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 12 Mar 2018 16:36:42 -0400

ironic (1:10.1.1-0ubuntu1) bionic; urgency=medium

  * New upstream point release for OpenStack Queens.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 22 Feb 2018 16:06:32 -0500

ironic (1:10.1.0-0ubuntu1) bionic; urgency=medium

  * New upstream release for OpenStack Queens.
  * d/control: Align (Build-)Depends with upstream.
  * d/rules, d/control, d/p/set_config_defaults.patch: Generate
    ironic.conf and set defaults with crudini.
  * d/ironic-common.install: Drop install of policy.json inline with
    upstream move to policy in code.

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 20 Feb 2018 12:51:49 -0500

ironic (1:10.0.0-0ubuntu1) bionic; urgency=medium

  [ James Page ]
  * d/p/*: Drop redundant patches, rebase.
  * New upstream snapshot.

  [ Corey Bryant ]
  * New upstream release for OpenStack Queens.
  * d/control: Align (Build-)Depends with upstream.
  * d/ironic-api.install: Install new WSGI script ironic-api-wsgi.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 26 Jan 2018 09:41:46 -0500

ironic (1:9.2.0-0ubuntu1) bionic; urgency=medium

  * New upstream point release for OpenStack Queens.
  * d/control: Align (Build-)Depends with upstream.
  * d/*: wrap-and-sort -bast.
  * d/control: Update Standards-Version to 4.1.2.
  * d/control: Bump debhelper compat to 10 and drop dh-systemd.
  * d/p/drop-openstackdoctheme.patch: Dropped. No longer needed.
  * d/p/set_config_defaults.patch: Rebased.
  * d/p/add-9.2-to-release-mappings.patch: Cherry-picked from upstream
    master to add 9.2 release mappings which are needed for rolling upgrades.
  * d/ironic-common.install: Align with upstream install paths.

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 11 Dec 2017 13:05:55 -0500
