=== debian/rules ===
--- 
+++ 
@@ -13,7 +13,10 @@
 endif
 
 override_dh_install:
+	PYTHONPATH=$(CURDIR) oslo-config-generator --config-file=tools/config/ironic-config-generator.conf
 	cp etc/ironic/ironic.conf.sample etc/ironic/ironic.conf
+	crudini --set $(CURDIR)/etc/ironic/ironic.conf DEFAULT log_dir /var/log/ironic
+	crudini --set $(CURDIR)/etc/ironic/ironic.conf database connection sqlite:////var/lib/ironic/ironic.db
 	dh_install --fail-missing
 
 get-orig-source:
