=== debian/tests/control ===
Tests: install
Depends: @
Restrictions: needs-root allow-stderr
