## ironic 11.1.0

=== requirements.txt ===
--- 
+++ 
@@ -5,19 +5,19 @@
 SQLAlchemy!=1.1.5,!=1.1.6,!=1.1.7,!=1.1.8,>=1.0.10 # MIT
 alembic>=0.8.10 # MIT
 automaton>=1.9.0 # Apache-2.0
-eventlet!=0.18.3,!=0.20.1,<0.21.0,>=0.18.2 # MIT
+eventlet!=0.18.3,!=0.20.1,>=0.18.2 # MIT
 WebOb>=1.7.1 # MIT
 python-cinderclient>=3.3.0 # Apache-2.0
-python-neutronclient>=6.3.0 # Apache-2.0
+python-neutronclient>=6.7.0 # Apache-2.0
 python-glanceclient>=2.8.0 # Apache-2.0
-keystoneauth1>=3.3.0 # Apache-2.0
-ironic-lib>=2.5.0 # Apache-2.0
+keystoneauth1>=3.4.0 # Apache-2.0
+ironic-lib>=2.14.0 # Apache-2.0
 python-swiftclient>=3.2.0 # Apache-2.0
 pytz>=2013.6 # MIT
 stevedore>=1.20.0 # Apache-2.0
 pysendfile>=2.0.0 # MIT
-oslo.concurrency>=3.25.0 # Apache-2.0
-oslo.config>=5.1.0 # Apache-2.0
+oslo.concurrency>=3.26.0 # Apache-2.0
+oslo.config>=5.2.0 # Apache-2.0
 oslo.context>=2.19.2 # Apache-2.0
 oslo.db>=4.27.0 # Apache-2.0
 oslo.rootwrap>=5.8.0 # Apache-2.0
@@ -29,7 +29,7 @@
 oslo.serialization!=2.19.1,>=2.18.0 # Apache-2.0
 oslo.service!=1.28.1,>=1.24.0 # Apache-2.0
 oslo.utils>=3.33.0 # Apache-2.0
-osprofiler>=1.4.0 # Apache-2.0
+osprofiler>=1.5.0 # Apache-2.0
 os-traits>=0.4.0 # Apache-2.0
 pecan!=1.0.2,!=1.0.3,!=1.0.4,!=1.2,>=1.0.0 # BSD
 requests>=2.14.2 # Apache-2.0
@@ -37,7 +37,7 @@
 six>=1.10.0 # MIT
 jsonpatch!=1.20,>=1.16 # BSD
 WSME>=0.8.0 # MIT
-Jinja2!=2.9.0,!=2.9.1,!=2.9.2,!=2.9.3,!=2.9.4,>=2.8 # BSD License (3 clause)
+Jinja2>=2.10 # BSD License (3 clause)
 keystonemiddleware>=4.17.0 # Apache-2.0
 oslo.messaging>=5.29.0 # Apache-2.0
 retrying!=1.3.0,>=1.2.3 # Apache-2.0
