=== debian/changelog ===
ironic (1:11.1.0-6) unstable; urgency=medium

  * ironic-conductor: downgrade syslinux dependency to Suggests, as it is
    available only on i386 and amd64.

 -- Thomas Goirand <zigo@debian.org>  Tue, 08 Jan 2019 17:29:11 +0100

ironic (1:11.1.0-5) unstable; urgency=medium

  * Escapes $@ in postrm (Closes: #905508).

 -- Thomas Goirand <zigo@debian.org>  Tue, 08 Jan 2019 09:35:54 +0100

ironic (1:11.1.0-4) unstable; urgency=medium

  * Remove Fujitsu BIOS test file (Closes: #909988).

 -- Thomas Goirand <zigo@debian.org>  Mon, 01 Oct 2018 10:53:17 +0200

ironic (1:11.1.0-3) unstable; urgency=medium

  * Correctly purge ironic-common (Closes: #905508).
  * Add new debconf translations, with thanks:
    - de.po, Helge Kreutzmann (Closes: #906172).
    - ru.po, Lev Lamberov (Closes: #898168).

 -- Thomas Goirand <zigo@debian.org>  Wed, 05 Sep 2018 23:22:33 +0200

ironic (1:11.1.0-2) unstable; urgency=medium

  * Uploading to unstable.
  * (build-)depends on python3-wsme >= 0.9.3 (Closes: #907868).
  * Update to latest version of Fix_async_keyword_for_Python.patch.

 -- Thomas Goirand <zigo@debian.org>  Tue, 04 Sep 2018 22:21:18 +0200

ironic (1:11.1.0-1) experimental; urgency=medium

  [ Thomas Goirand ]
  * Fixed startup message.
  * Removed config tweaks.
  * New upstream release.
  * Fixed (build-)depends for this release.
  * Add Fix_async_keyword_for_Python.patch.

  [ Ondřej Nový ]
  * d/control: Use team+openstack@tracker.debian.org as maintainer

 -- Thomas Goirand <zigo@debian.org>  Thu, 24 May 2018 16:59:04 +0200

ironic (1:10.1.0-5) unstable; urgency=medium

  * Fixed default value of pybasedir to the correct path.
  * Manage /var/lib/ironic/httpboot/boot.ipxe.

 -- Thomas Goirand <zigo@debian.org>  Wed, 09 May 2018 08:56:25 +0200

ironic (1:10.1.0-4) unstable; urgency=medium

  * Remove ironic.conf.default from namespace list when generating
    ironic.conf.
  * Add some needed runtime depends to ironic-conductor.
  * Set nicer defaults for the ironic.conf file.

 -- Thomas Goirand <zigo@debian.org>  Wed, 28 Mar 2018 15:09:38 +0200

ironic (1:10.1.0-3) unstable; urgency=medium

  [ Ondřej Nový ]
  * Running wrap-and-sort -bast

  [ Thomas Goirand ]
  * Fixed dbc postrm.

 -- Thomas Goirand <zigo@debian.org>  Mon, 26 Mar 2018 16:47:19 +0000

ironic (1:10.1.0-2) unstable; urgency=medium

  * Uploading to unstable.
  * Switched to openstack-pkg-tools >= 70~ debconf templates.

 -- Thomas Goirand <zigo@debian.org>  Tue, 27 Feb 2018 16:38:04 +0000

ironic (1:10.1.0-1) experimental; urgency=medium

  [ Ondřej Nový ]
  * d/control: Set Vcs-* to salsa.debian.org
  * d/copyright: Use https in Format

  [ Thomas Goirand ]
  * New upstream release.
  * Fixed (build-)depends for this release.
  * Standards-Version is now 4.1.3.
  * Using pkgos-dh_auto_test.
  * Using oslopolicy-sample-generator to generate policy.json.
  * Switch to Python 3.
  * Fixed debian/copyright holders list and years.
  * Blacklist test_create_chassis_unicode_description which is failing in Py3.

 -- Thomas Goirand <zigo@debian.org>  Sun, 25 Feb 2018 13:52:49 +0000

ironic (1:9.1.1-3) unstable; urgency=medium

  * Fixed generating ironic.conf (Closes: #847019).

 -- Thomas Goirand <zigo@debian.org>  Thu, 09 Nov 2017 11:42:33 +0000

ironic (1:9.1.1-2) unstable; urgency=medium

  * Uploading to unstable:
    - do not remove search.html (Closes: #861893).

 -- Thomas Goirand <zigo@debian.org>  Tue, 31 Oct 2017 10:58:14 +0000

ironic (1:9.1.1-1) experimental; urgency=medium

  * New upstream release.
  * Remove 3 now useless patches.
  * Ran wrap-and-sort -bast.
  * Updating maintainer field.
  * Deprecating priority extra as per policy 4.0.1.
  * Removing gbp.conf, not used anymore or should be specified in the
    developers dotfiles.
  * Updating vcs fields.
  * Fixed (build-)depends for this release.
  * Fix doc generation.
  * Removed dh-systemd build-depends.

 -- Thomas Goirand <zigo@debian.org>  Wed, 18 Oct 2017 06:32:27 +0200
